mod algorithms;

use algorithms::mergesort::Mergesort;
use algorithms::Algorithm;

fn main() {
    let unsorted : Vec<i32> = vec![2498,29687,24,5,94545,8,51,152,48,871,5];
    let sorted = match Mergesort::sort(unsorted) {
        Ok(v) => v,
        Err(e) => {
            println!("Something went wrong! {}", e);
            return;
        }
    };
    println!("{:?}", sorted);
}